Namespace
library
Image / Tag
swift:5.6.1-focal-slim
Content Digest
sha256:813e4a0454451791454ee505f5ec28d050776970dcb0bed049d3a8c963c5cfde
Details
Created

2022-06-07 03:21:36 UTC

Size

129 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.6.1-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.6.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:d7bfe07ed8476565a440c2113cc64d7c0409dba8ef761fb3ec019d7e6b5952df - 21.14% (27.2 MB)

[#001] sha256:56b4a2387b2cf9e10910cdbfffec148523eb4de5ecdc38eeab55b5ac07212702 - 16.47% (21.2 MB)

[#002] sha256:cad138cf7c31ddbbc7bafdcc41bddabbe7410759b121a9348c1565e05304f05f - 62.39% (80.4 MB)


History
2022-06-06 22:21:11 UTC

/bin/sh -c #(nop) ADD file:00dae10e79b05c4e1a3db053a1f85a4f38a39fe85cbbd88d74201a01a7dd59b5 in /

2022-06-06 22:21:12 UTC

/bin/sh -c #(nop) CMD ["bash"]

2022-06-07 03:20:57 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2022-06-07 03:20:57 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2022-06-07 03:21:08 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/*

2022-06-07 03:21:08 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2022-06-07 03:21:08 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu20.04

2022-06-07 03:21:08 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.6.1-release

2022-06-07 03:21:09 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.6.1-RELEASE

2022-06-07 03:21:09 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2022-06-07 03:21:09 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.6.1-release SWIFT_VERSION=swift-5.6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2022-06-07 03:21:36 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg

Details
Created

2022-06-07 06:29:56 UTC

Size

123 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.6.1-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.6.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:11e23ac719b33170b39b7e30b8027dc09c9cbad6b503b2b6b3ebbd9d33f4adad - 21.0% (25.9 MB)

[#001] sha256:0a31641e19eaccc01e49098d1a08459bf095d1ab268d9f4db7f8a5803c2ba03f - 17.01% (21 MB)

[#002] sha256:600eafe4850523fe64e35a0fb4796211cfb3df8827a15c465bba47a43552e1c0 - 61.99% (76.5 MB)


History
2022-06-07 01:25:15 UTC

/bin/sh -c #(nop) ADD file:8bb0809a8ac8e978274cf731cff7529372088d22c5b0233a28f01ef414aefbca in /

2022-06-07 01:25:16 UTC

/bin/sh -c #(nop) CMD ["bash"]

2022-06-07 06:29:03 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2022-06-07 06:29:04 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2022-06-07 06:29:18 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/*

2022-06-07 06:29:18 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2022-06-07 06:29:19 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu20.04

2022-06-07 06:29:20 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.6.1-release

2022-06-07 06:29:21 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.6.1-RELEASE

2022-06-07 06:29:22 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2022-06-07 06:29:23 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.6.1-release SWIFT_VERSION=swift-5.6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2022-06-07 06:29:56 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete